<ion-row *transloco="let t" class="flex-list-feed-items">
  <div class="content-title">
    {{ t('feature_events.dashboard.your-interests.title') }}
  </div>
  <ion-col
    *ngFor="let feedItem of feedItemsInterests; let first = first"
    [size]="12"
    aria-atomic="true"
    aria-live="polite"
  >
    <ng-container
      *ngComponentOutlet="
        feedItem.cardComponent;
        inputs: { feedItem: feedItem }
      "
    />
  </ion-col>
  <ng-container
    *ngIf="!contentLoadingComplete"
    class="ion-justify-content-center flex-list-feed-items"
  >
    <ion-col
      *ngFor="let _ of [].constructor(7); let i = index"
      [size]="12"
      aria-busy="true"
      aria-live="polite"
    >
      <lib-skeleton-feed-card></lib-skeleton-feed-card>
    </ion-col>
    <lib-new-content-text></lib-new-content-text>
  </ng-container>
</ion-row>
<ion-infinite-scroll
  (ionInfinite)="loadMoreFeedItems($event)"
  *ngIf="
    feedItemsInterests.length > 0 &&
    moreContentAvailable &&
    contentLoadingComplete
  "
>
  <ion-infinite-scroll-content></ion-infinite-scroll-content>
</ion-infinite-scroll>
